#!/bin/bash
#horizontal calendar for conky by ans
# English week day names
Sun="Su"; Mon="Mo"; Thu="Tu"; Wed="We"; Thr="Th"; Fri="Fr"; Sat="Sa"
# locale depend week day names
lang=$1
case ${lang:=$LANG} in
    es* ) Sun="Do"; Mon="Lu"; Thu="Ma"; Wed="Mi"; Thr="Ju"; Fri="Vi"; Sat="Sa" ;; # spanish
    pl* ) Sun="Nd"; Mon="Po"; Thu="Wt"; Wed="Śr"; Thr="Cz"; Fri="Pt"; Sat="So" ;; # polish
    pt* ) Sun="Do"; Mon="Sq"; Thu="Te"; Wed="Qa"; Thr="Qi"; Fri="Se"; Sat="Sa" ;; # portuguese
    fr* ) Sun="Di"; Mon="Lu"; Thu="Ma"; Wed="Me"; Thr="Je"; Fri="Ve"; Sat="Sa" ;; # french
    de* ) Sun="So"; Mon="Mo"; Thu="Di"; Wed="Mi"; Thr="Do"; Fri="Fr"; Sat="Sa" ;; # deutche
    it* ) Sun="Do"; Mon="Lu"; Thu="Ma"; Wed="Me"; Thr="Gi"; Fri="Ve"; Sat="Sa" ;; # italian
esac
 
COLOROLD="778899" #LightSlateGrey
COLORTODAY="FF8C00" #Darkorange
COLORREST="778899" #LightSlateGrey
COLORNEXT="445566" #MidSlateGrey
 
TODAY=`date +%d`
LASTDAY=`date -d "-$TODAY days +1 month" +%d`
FIRSTDAY=`date -d "-$[${TODAY/#0/}-1] days" +%u`
TOPLINE=""
TODAYC="\${color $COLORTODAY}"
OVER="\${color $COLOROLD}"
REST="\${color $COLORREST}"
 
TODAYC="$TODAYC $TODAY"
 
i=1
if [ $TODAY -ne 1 ]
then
    while [ $i -lt $TODAY ]; do
        if [ $i -lt 10 ]
        then
            OVER="$OVER 0$i"
        else
            OVER="$OVER $i"
        fi
        i=$[$i+1]
    done
fi
i=$[$i+1]
if [ $TODAY -ne $LASTDAY ]
then
    while [ $i -ne $LASTDAY ]; do
        if [ $i -lt 10 ]
        then
            REST="$REST 0$i"
        else
            REST="$REST $i"
        fi
        i=$[$i+1]
    done
    REST="$REST $LASTDAY"
fi
i=$LASTDAY
j=1
NEXTMONTH="\${color $COLORNEXT}"
while [ $i -lt 31 ] ; do
   NEXTMONTH="$NEXTMONTH 0$j"
   i=$[$i+1]
   j=$[$j+1]
done
j=31
k=$FIRSTDAY
while [ $j -gt 0 ]; do
    case "$k" in
    7) TOPLINE="$TOPLINE \${color FFFF00}$Sun\${color}";;
    1) TOPLINE="$TOPLINE $Mon";;
    2) TOPLINE="$TOPLINE $Thu";;
    3) TOPLINE="$TOPLINE $Wed";;
    4) TOPLINE="$TOPLINE $Thr";;
    5) TOPLINE="$TOPLINE $Fri";;
    6) TOPLINE="$TOPLINE \${color FF8C00}$Sat\${color}";;
    esac
 
    j=$[$j-1]
    k=$[$k+1]
    if [ $k -eq 8 ]
    then
        k=1
    fi
done
echo "\${goto 240}$TOPLINE\${tab 20}"
echo "\${goto 240}$OVER$TODAYC$REST$NEXTMONTH\${tab 20}"

